summaryrefslogtreecommitdiff
path: root/app-admin/awscli
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-09-17 03:04:43 -0500
committerroot <root@alpha.trunkmasters.com>2026-09-17 03:04:43 -0500
commite354c0374d2aa19224b635b0ce38bd0e6a6b5fc3 (patch)
tree0c997c882ce62ff679b033d6fe8def52afb88216 /app-admin/awscli
parent687a263b5212436c1ced6387f36d785b0a34599f (diff)
downloadbaldeagleos-repo-e354c0374d2aa19224b635b0ce38bd0e6a6b5fc3.tar.gz
baldeagleos-repo-e354c0374d2aa19224b635b0ce38bd0e6a6b5fc3.tar.xz
baldeagleos-repo-e354c0374d2aa19224b635b0ce38bd0e6a6b5fc3.zip
Adding metadata
Diffstat (limited to 'app-admin/awscli')
-rw-r--r--app-admin/awscli/Manifest2
-rw-r--r--app-admin/awscli/awscli-2.36.46.ebuild113
-rw-r--r--app-admin/awscli/awscli-2.36.47.ebuild113
3 files changed, 228 insertions, 0 deletions
diff --git a/app-admin/awscli/Manifest b/app-admin/awscli/Manifest
index d35d33c027a5..e6f03a03ac59 100644
--- a/app-admin/awscli/Manifest
+++ b/app-admin/awscli/Manifest
@@ -1,3 +1,5 @@
DIST aws-cli-1.46.0.gh.tar.gz 19210830 BLAKE2B 8cab4c9027561c5c9711296a5da3aad749ee30f14d8fec13da8f880bcc4f8a1fd97c2ed255fe74eb8ee12e9a59dfb2319db113efd047cbf5f89205ecdd6ab933 SHA512 0381958389f580ab6536468343da16582342af38faf3439ac5a29865a6652c3434826df587793fdf07736a6e0c37ae9f8598475be77abe8e93f73e35baff76dc
DIST aws-cli-1.46.1.gh.tar.gz 19215038 BLAKE2B 3120c6768b749a85eea847040758f64120d5fba33be786566e178c36ed53d5d81676b8f9d632be7c09e65cc469d71366f897a4cafeb237b8fd2128361e3b4b1d SHA512 d332682464b9cb2cb3f1c0229f2161f8480c01416e637cf243c84388690f6029884eecfaa156fa57f6f9a224127902ec9cb11d5a1a4d313842ee5dd99f52d3be
DIST aws-cli-2.36.45.gh.tar.gz 19279291 BLAKE2B dfd22ee621601d8cc5aa7883c08f962d7056d25e33e0bbf8184470ec53585fa9b0034dd85dce58d1ca580e95109d299e20b4a45456143ab2feac05a25b34d3f2 SHA512 db99a475f322cc1cf4bd792e67d5430c82c118c36862fa6a822b4e34ab62d92b6ed686717d80b476f36ac3414e1cf8710b18f400be73f49c7b59b0231c6ed7c0
+DIST aws-cli-2.36.46.gh.tar.gz 19284758 BLAKE2B 5cd2b985e327f84c64dd1901bf282069f2d92fe03dbcac243e5e80d36f24858fd179b60aa740396377e5dff36d73c2ad56680d808faf8803d0b76eba2bcde169 SHA512 4b7816702295e8faa4ed0c0ab564df8aca288051fe24fd8e6b68f3c27a2b89274d52b251cf2771952dd17d7f42d1339dfd6c2ee7adad06f9ed9b2c6556adca44
+DIST aws-cli-2.36.47.gh.tar.gz 19288749 BLAKE2B 998322f865614ff38445836c6385bbdd6d153146c0a53dc2482048d73632716191a47896517225d1e131e4389d72d6400cd357b06701f97d244dd07f16c4eab4 SHA512 3b6a05261548f82b0fc48be231055fe7d005429019bfff4f7ab574b98737891dc85add8b25e990630db30262ed220a3641f7da697a9a9f7758ca95dc991f8da9
diff --git a/app-admin/awscli/awscli-2.36.46.ebuild b/app-admin/awscli/awscli-2.36.46.ebuild
new file mode 100644
index 000000000000..06abe1e785c5
--- /dev/null
+++ b/app-admin/awscli/awscli-2.36.46.ebuild
@@ -0,0 +1,113 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=standalone
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1 shell-completion
+
+MY_P=aws-cli-${PV}
+DESCRIPTION="Universal Command Line Environment for AWS"
+HOMEPAGE="
+ https://github.com/aws/aws-cli/
+ https://pypi.org/project/awscli/
+"
+SRC_URI="
+ https://github.com/aws/aws-cli/archive/${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv"
+
+RDEPEND="
+ >=dev-python/colorama-0.2.5[${PYTHON_USEDEP}]
+ >=dev-python/docutils-0.10[${PYTHON_USEDEP}]
+ >=dev-python/ruamel-yaml-0.15.0[${PYTHON_USEDEP}]
+ >=dev-python/prompt-toolkit-3.0.24[${PYTHON_USEDEP}]
+ >=dev-python/distro-1.5.0[${PYTHON_USEDEP}]
+ >=dev-python/awscrt-0.36.2[${PYTHON_USEDEP}]
+ >=dev-python/python-dateutil-2.1[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+# bundled dependencies
+RDEPEND+="
+ >=dev-python/s3transfer-0.18.0[${PYTHON_USEDEP}]
+"
+TODO="
+ dev-python/rsa[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ !app-admin/awscli-bin
+"
+BDEPEND="
+ dev-python/flit-core[${PYTHON_USEDEP}]
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=()
+EPYTEST_RERUNS=5
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+ distutils-r1_src_prepare
+
+ # this package bundles botocore & s3transfer, but they are custom
+ # v2 branches that were never released and are incompatible with
+ # our release versions
+
+ # strip overzealous upper bounds on requirements
+ sed -i -e 's:,<[=0-9.]*::' -e 's:==:>=:' pyproject.toml || die
+ # wcwidth isn't used
+ sed -i -e '/wcwidth/d' pyproject.toml || die
+}
+
+python_test() {
+ local -x TZ=UTC
+
+ local EPYTEST_DESELECT=(
+ # TODO
+ tests/functional/autocomplete/test_main.py::test_smoke_test_completer
+ tests/unit/customizations/ec2instanceconnect/test_websocket.py::TestWebsocket::test_connect_with_proxy
+ tests/unit/customizations/ec2instanceconnect/test_websocket.py::TestWebsocket::test_connect_with_proxy_but_no_proxy_env_empty
+ tests/unit/customizations/emr/test_emr_utils.py::TestEMRutils::test_which_with_existing_command
+ tests/unit/customizations/emr/test_emr_utils.py::TestEMRutils::test_which_with_non_existing_command
+ tests/unit/customizations/wizard/test_app.py
+ tests/unit/test_compat.py::TestGetPreferredEncoding::test_getpreferredencoding_with_env_var
+ )
+
+ # Some tests take a lot of memory, so run parallel-safe tests first.
+ local awscli_parallel_tests=(
+ tests/functional/[ac-z]*/
+ tests/unit/
+ )
+ local botocore_parallel_tests=(
+ tests/functional/botocore/*/
+ tests/functional/botocore/test_[cds-z]*.py
+ )
+ #epytest "${botocore_parallel_tests[@]}"
+ epytest "${awscli_parallel_tests[@]}"
+
+ local EPYTEST_IGNORE=(
+ "${botocore_parallel_tests[@]}"
+ "${awscli_parallel_tests[@]}"
+ )
+ EPYTEST_XDIST= epytest tests/functional
+}
+
+python_install_all() {
+ newbashcomp bin/aws_bash_completer aws
+ newzshcomp bin/aws_zsh_completer.sh _aws
+
+ distutils-r1_python_install_all
+
+ rm "${ED}"/usr/bin/{aws.cmd,aws_bash_completer,aws_zsh_completer.sh} || die
+}
diff --git a/app-admin/awscli/awscli-2.36.47.ebuild b/app-admin/awscli/awscli-2.36.47.ebuild
new file mode 100644
index 000000000000..06abe1e785c5
--- /dev/null
+++ b/app-admin/awscli/awscli-2.36.47.ebuild
@@ -0,0 +1,113 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=standalone
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1 shell-completion
+
+MY_P=aws-cli-${PV}
+DESCRIPTION="Universal Command Line Environment for AWS"
+HOMEPAGE="
+ https://github.com/aws/aws-cli/
+ https://pypi.org/project/awscli/
+"
+SRC_URI="
+ https://github.com/aws/aws-cli/archive/${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv"
+
+RDEPEND="
+ >=dev-python/colorama-0.2.5[${PYTHON_USEDEP}]
+ >=dev-python/docutils-0.10[${PYTHON_USEDEP}]
+ >=dev-python/ruamel-yaml-0.15.0[${PYTHON_USEDEP}]
+ >=dev-python/prompt-toolkit-3.0.24[${PYTHON_USEDEP}]
+ >=dev-python/distro-1.5.0[${PYTHON_USEDEP}]
+ >=dev-python/awscrt-0.36.2[${PYTHON_USEDEP}]
+ >=dev-python/python-dateutil-2.1[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+# bundled dependencies
+RDEPEND+="
+ >=dev-python/s3transfer-0.18.0[${PYTHON_USEDEP}]
+"
+TODO="
+ dev-python/rsa[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ !app-admin/awscli-bin
+"
+BDEPEND="
+ dev-python/flit-core[${PYTHON_USEDEP}]
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=()
+EPYTEST_RERUNS=5
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+ distutils-r1_src_prepare
+
+ # this package bundles botocore & s3transfer, but they are custom
+ # v2 branches that were never released and are incompatible with
+ # our release versions
+
+ # strip overzealous upper bounds on requirements
+ sed -i -e 's:,<[=0-9.]*::' -e 's:==:>=:' pyproject.toml || die
+ # wcwidth isn't used
+ sed -i -e '/wcwidth/d' pyproject.toml || die
+}
+
+python_test() {
+ local -x TZ=UTC
+
+ local EPYTEST_DESELECT=(
+ # TODO
+ tests/functional/autocomplete/test_main.py::test_smoke_test_completer
+ tests/unit/customizations/ec2instanceconnect/test_websocket.py::TestWebsocket::test_connect_with_proxy
+ tests/unit/customizations/ec2instanceconnect/test_websocket.py::TestWebsocket::test_connect_with_proxy_but_no_proxy_env_empty
+ tests/unit/customizations/emr/test_emr_utils.py::TestEMRutils::test_which_with_existing_command
+ tests/unit/customizations/emr/test_emr_utils.py::TestEMRutils::test_which_with_non_existing_command
+ tests/unit/customizations/wizard/test_app.py
+ tests/unit/test_compat.py::TestGetPreferredEncoding::test_getpreferredencoding_with_env_var
+ )
+
+ # Some tests take a lot of memory, so run parallel-safe tests first.
+ local awscli_parallel_tests=(
+ tests/functional/[ac-z]*/
+ tests/unit/
+ )
+ local botocore_parallel_tests=(
+ tests/functional/botocore/*/
+ tests/functional/botocore/test_[cds-z]*.py
+ )
+ #epytest "${botocore_parallel_tests[@]}"
+ epytest "${awscli_parallel_tests[@]}"
+
+ local EPYTEST_IGNORE=(
+ "${botocore_parallel_tests[@]}"
+ "${awscli_parallel_tests[@]}"
+ )
+ EPYTEST_XDIST= epytest tests/functional
+}
+
+python_install_all() {
+ newbashcomp bin/aws_bash_completer aws
+ newzshcomp bin/aws_zsh_completer.sh _aws
+
+ distutils-r1_python_install_all
+
+ rm "${ED}"/usr/bin/{aws.cmd,aws_bash_completer,aws_zsh_completer.sh} || die
+}